Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Class ReflectionHelper

    java.lang.Object
      org.hibernate.metamodel.source.annotations.ReflectionHelper

    public class ReflectionHelper

extends Object

Some helper methods for reflection tasks

Method Summary
`static String` | `getPropertyName(Member member)` Process bean properties getter by applying the JavaBean naming conventions.
`static boolean` | `isProperty(Member m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPropertyName

    public static String getPropertyName(Member member)

  Process bean properties getter by applying the JavaBean naming conventions.

  Parameters:
    `member` - the member for which to get the property name.
  Returns:
    The bean method name with the "is" or "get" prefix stripped off, `null` the method name id not according to the JavaBeans standard.

### isProperty

    public static boolean isProperty(Member m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.